package demo;

import java.lang.reflect.InvocationTargetException;
import java.util.Iterator;
import java.util.Map;

import org.apache.commons.beanutils.BeanUtils;

/**
 * @author Filippo Diotalevi
 */
public class WhoAmI {

	public void whoAmI(Object obj) throws IllegalAccessException, InvocationTargetException, NoSuchMethodException
	{
		
		Map map = BeanUtils.describe(obj);
		
		if (map != null)
		{
			System.out.println("Printing all accessible fields of class "+obj.getClass().getName()+":");
			System.out.println("-------------------------------------------------------");
			Iterator iterator = map.keySet().iterator();
			while (iterator.hasNext())
			{
				System.out.println(iterator.next());
			}
			
		}
		
	}
	
}
